/* ---------- GLOBAL ---------- */
body {
  background-color: #eb4034;
  font-family: "DM Sans", sans-serif;
  color: white;
  margin: 0;
}

/* div,
section {
  border: 1px solid green;
} */

/* ---------- CONTAINERS/CLOCK FACE ---------- */
.container {
  text-align: center;
  max-width: 360px;
  margin: 0 auto 160px;
}

.grid {
  display: grid;
  column-gap: 0;
  grid-auto-rows: minmax(1fr, auto);
  grid-template-columns: repeat(2, 1fr);
}

.main-header {
  margin: 3rem auto 1.5rem;
  grid-column: 1 / 3;
  font-family: "Sniglet", sans-serif;
  font-size: 2.2rem;
}

.sessions {
  grid-column: 1 / 2;
  display: flex;
  flex-wrap: wrap;
  margin-right: 0.5rem;
}

.breaks {
  grid-column: 2 / 3;
  display: flex;
  flex-wrap: wrap;
  margin-left: 0.5rem;
}

.breaks > *,
.sessions > * {
  flex: 1 1 32%;
}

.timer {
  grid-column: 1 / 3;
  margin: 8rem 0 1rem;
  font-size: 1.2rem;
}

.buttons {
  grid-column: 1 / 3;
  display: flex;
  align-items: center;
  justify-content: center;
}

.buttons div {
  margin: 0 1rem;
}

i {
  color: #00ff33;
  cursor: pointer;
  text-shadow: 1px 1px rgb(223, 166, 166), -1px 1px rgb(223, 166, 166),
    1px -1px rgb(223, 166, 166), -1px -1px rgb(223, 166, 166);
}

i:hover {
  text-shadow: 1px 1px white, -1px 1px white, 1px -1px white, -1px -1px white,
    1px 1px 3px white;
}

/* ---------- PROGRESS CIRCLE ---------- */

.circle {
  position: absolute;
  top: 210px;
  width: 360px;
  z-index: -1;
  background-color: #f5493d;
  border-radius: 50%;
  height: 360px;
  width: 360px;
  overflow: hidden;
}

.progress-circle {
  background-color: rgb(228, 48, 48);
  height: 100%;
  margin-left: 0;
}
/* ---------- ITEMS ---------- */
.numbers {
  font-size: 2.4rem;
}

.countdown {
  font-size: 4.3rem;
}

.toggle-hide {
  display: none;
  visibility: hidden;
  position: absolute !important;
  top: -9999px !important;
  left: -9999px !important;
  height: 1px;
  width: 1px;
  padding: 0;
  margin: 0;
}

/* ---------- FOOTER ---------- */
.attributions {
  font-size: 1rem;
  font-weight: normal;
}

footer {
  width: 100%;
  padding: 0.8rem 0 0.8rem 0;
  color: #00ff33;
  background-color: #f5493d;
  text-align: center;
}

footer span {
  font-size: 0.8rem;
}
footer a {
  text-decoration: none;
  color: white;
}

footer a:hover {
  color: rgb(255, 108, 108);
  background-color: rgb(228, 48, 48);
}
